Package org.apache.tapestry5.jcache.internal

# Class CachePutMethodAdvice

java.lang.Object
org.jsr107.ri.annotations.AbstractCacheInterceptor<I>
org.jsr107.ri.annotations.AbstractKeyedCacheInterceptor<I,org.jsr107.ri.annotations.CachePutMethodDetails>
org.jsr107.ri.annotations.AbstractCachePutInterceptor<MethodInvocation>
org.apache.tapestry5.jcache.internal.CachePutMethodAdvice

All Implemented Interfaces:
  `CacheMethodAdvice`, `MethodAdvice`

public class CachePutMethodAdvice extends org.jsr107.ri.annotations.AbstractCachePutInterceptor<MethodInvocation> implements CacheMethodAdvice

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CachePutMethodAdvice(org.jsr107.ri.annotations.CacheContextSource<MethodInvocation> cacheContextSource)`
  Single constructor of this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `advise(MethodInvocation invocation)`
  Advise the method, usually invoking `MethodInvocation.proceed()` at some point.
  `org.jsr107.ri.annotations.InterceptorType`
  `getInterceptorType()`
  `protected Object`
  `proceed(MethodInvocation invocation)`

  ### Methods inherited from class org.jsr107.ri.annotations.AbstractCachePutInterceptor

  `cachePut, cacheValue`

  ### Methods inherited from class org.jsr107.ri.annotations.AbstractKeyedCacheInterceptor

  `getStaticCacheKeyInvocationContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CachePutMethodAdvice

    public CachePutMethodAdvice(org.jsr107.ri.annotations.CacheContextSource<MethodInvocation> cacheContextSource)
    Single constructor of this class.

- ## Method Details

  - ### getInterceptorType

    public org.jsr107.ri.annotations.InterceptorType getInterceptorType()
    Specified by:
      `getInterceptorType` in interface `CacheMethodAdvice`
    Returns:
      The type of intereceptor

  - ### advise

    public void advise(MethodInvocation invocation)
    Description copied from interface: `MethodAdvice`
    Advise the method, usually invoking `MethodInvocation.proceed()` at some point. The advice is free to inspect and even replace parameters. Most Aspects will then invoke `MethodInvocation.proceed()`. The advice may then inspect and replace any checked thrown exceptions. Some advice (for example, caching) may selectively decide to bypass the invocation entirely, and instead invoke some other method or otherwise set a return value or thrown exception.
    Specified by:
      `advise` in interface `MethodAdvice`
    Parameters:
      `invocation` - identifies the method being invoked, including parameters

  - ### proceed

    protected Object proceed(MethodInvocation invocation) throws Throwable
    Specified by:
      `proceed` in class `org.jsr107.ri.annotations.AbstractCacheInterceptor<MethodInvocation>`
    Throws:
      `Throwable`